package com.qmth.cqb.paper.service;

import java.util.Map;

import com.qmth.cqb.paper.model.ExtractConfig;

/**
 * 
 * @author  	chenken
 * @date    	2017年4月14日 下午6:08:15
 * @company 	QMTH
 * @description 调卷规则接口
 */
public interface ExtractConfigService {
	/**
	 * 根据考试ID和课程code获取规则
	 * @param examId
	 * @param courseCode
	 * @return
	 */
	public ExtractConfig findConfig(ExtractConfig extractConfig);
	/**
	 * 根据ID获取调卷规则
	 * @param id
	 * @return
	 */
	public ExtractConfig findConfigById(String id);
	/**
	 * 保存调卷规则
	 */
	public void saveExtractConfig(ExtractConfig extractConfig);
	/**
	 * 按照设定几率随机生成一套试卷
	 * @param examId
	 * @param courseCode
	 * @param groupCode
	 * @return
	 */
	public Map<String, Object> randomPaper(String extractConfigId,Long examId, String courseCode, String groupCode);
}
